LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XActionLockable Interface Referencepublished

makes it possible to prevent object internal updates for a certain period to be able to quickly change multiple parts of the objects, where the updates would invalidate each other, anyway. More...

`import"XActionLockable.idl";`

Inheritance diagram for XActionLockable:

## Public Member Functions
boolean | isActionLocked ()
void | addActionLock ()
| increments the lock count of the object by one. More...
void | removeActionLock ()
| decrements the lock count of the object by one. More...
void | setActionLocks ([in] short nLock)
| sets the locking level. More...
short | resetActionLocks ()
| resets the locking level. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to prevent object internal updates for a certain period to be able to quickly change multiple parts of the objects, where the updates would invalidate each other, anyway.

Developers Guide
  Spreadsheet Documents - Protecting Spreadsheets

## Member Function Documentation

## ◆ addActionLock()

void addActionLock | ( |  | ) |

increments the lock count of the object by one.

## ◆ isActionLocked()

boolean isActionLocked | ( |  | ) |

Returns
  `TRUE` if at least one lock exists.

## ◆ removeActionLock()

void removeActionLock | ( |  | ) |

decrements the lock count of the object by one.

## ◆ resetActionLocks()

short resetActionLocks | ( |  | ) |

resets the locking level.

This method is used for debugging purposes. The debugging environment of a programming language can reset the locks to allow refreshing of the view if a breakpoint is reached or step execution is used.

## ◆ setActionLocks()

void setActionLocks | ( | [in] short | nLock | ) |

sets the locking level.

This method is used for debugging purposes. The programming environment can restore the locking after a break of a debug session.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XActionLockable.idl